// gph_fig14_2.do

* Choose the directory where you store the files for the book.
* In the book's examples the command is -cd C:\docs\ishr3-

use "compliance2.dta"
set scheme lean1
label drop yesno

stset enddate, ///
  failure(died==1) enter(randate) origin(randate) scale(365.25) id(id) 

sts graph                                                  ///
  ,                                                        ///
  by(particip) failure                                     ///
  risktable(, order(1 "Nonparticipants" 2 "Participants")  ///
     rowtitle(, at(-0.6)) title(, at(-0.6)))               ///
  plotregion(margin(l=0 b=0))                              ///
  xlabel(0(1)6) ylabel(0(0.05)0.30)                        ///
  legend(order(1 "Nonparticipants" 2 "Participants"))      ///
  title("")                                                ///
  xtitle("Years since randomization")                      ///
  ytitle("Proportion died")                                ///
  ysize(2.5) xsize(4.5) scale(1.25)
